Subject: Re: [PATCH 2/2] powerpc: implement arch_scale_smt_power for Power7

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 24 Jan 2010 14:00:28 +1100

On Wed, 2010-01-20 at 16:09 -0600, Joel Schopp wrote:
> I can turn that into a conditional branch (case statement) with a shift 
> for the common 1,2,4 cases which should cover all procs available today 
> falling back to a divide for any theoretical future processors that do 
> other numbers of threads. 

Look at the cputhreads.h implementation ... Today we only support
power-of-two numbers of threads.

Cheers,
Ben.